#
# Conditional build:
%bcond_with	tests	# unit tests
#
Summary:	OpenGL - Perl module to display 3D data using OpenGL, GLU, GLUT, and GLX
Summary(pl.UTF-8):	OpenGL - moduł Perla przedstawiający dane korzystając z bibliotek OpenGL, GLU, GLUT i GLX
Name:		perl-OpenGL
Version:	0.7000
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	https://www.cpan.org/modules/by-authors/id/C/CH/CHM/OpenGL-0.70.tar.gz
# Source0-md5:	8b651500162e9b999347a06dc0664ab6
Patch0:		%{name}-build.patch
URL:		https://metacpan.org/dist/OpenGL
BuildRequires:	OpenGL-devel
BuildRequires:	freeglut-devel
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpmbuild(macros) >= 1.745
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module provides access to most of the OpenGL 1.0, 1.1, and 1.2
APIs. Some amount of GLU is supported (I'm not quite sure what version
it works out to), and GLUT should be completely supported up to API
version 3. A small portion of GLX and X11 is supported, as an
alternative to GLUT.

%description -l pl.UTF-8
Ten moduł daje dostęp do większości API OpenGL 1.0, 1.1 i 1.2.
Udostępnia też część GLU (w bliżej nieokreślonej wersji) oraz
powinien udostępniać pełne API GLUT do wersji 3. Jako alternatywa
dla GLUT jest dostępna także niewielka część API GLX i X11.

%prep
%setup -q -n OpenGL-0.70
%patch0 -p1

%build
%{__perl} Makefile.PL \
	interface=FREEGLUT \
	INSTALLDIRS=vendor

%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -p examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

# packaged as man
%{__rm} $RPM_BUILD_ROOT%{perl_vendorarch}/{OpenGL,OpenGL/Array,OpenGL/Tessellation}.pod

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README SUPPORTS TODO COPYRIGHT
%{perl_vendorarch}/OpenGL.pm
%dir %{perl_vendorarch}/OpenGL
%{perl_vendorarch}/OpenGL/Config.pm
%dir %{perl_vendorarch}/auto/OpenGL
%{perl_vendorarch}/auto/OpenGL/autosplit.ix
%attr(755,root,root) %{perl_vendorarch}/auto/OpenGL/*.so
%{_mandir}/man3/Array.3pm*
%{_mandir}/man3/OpenGL*.3pm*
%{_mandir}/man3/Tessellation.3pm*
%{_examplesdir}/%{name}-%{version}
%changelog
* Sat Jun 29 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-OpenGL.git;a=log;h=master

* Sat Jun 29 2024 Jan Palus <atler@pld-linux.org> 9dc7b43
- perl 5.40.0 rebuild

* Thu Jun 13 2024 Jakub Bogusz <qboosh@pld-linux.org> 764a2d9
- updated to 0.70 (as 0.7000 to avoid epoch bumps)

* Thu Jul 06 2023 Jan Palus <atler@pld-linux.org> 58f4423
- perl 5.38.0 rebuild

* Mon Aug 22 2022 Jan Palus <atler@pld-linux.org> f7505ab
- perl 5.36.0 rebuild

* Sun Feb 27 2022 Jan Rękorajski <baggins@pld-linux.org> cf74ab9
- rebuild with perl 5.34.0

* Sat May 08 2021 Jan Rękorajski <baggins@pld-linux.org> 39868c0
- rebuild with perl 5.32

* Fri May 07 2021 Jan Rękorajski <baggins@pld-linux.org> 5729ed8
- rediff patch

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 258f674
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> dcea600
- rebuild with perl 5.30.0
- release 6 (by relup.sh)

* Thu Aug 30 2018 Jan Rękorajski <baggins@pld-linux.org> 91eb172
- rebuild with perl 5.28.0
- release 5 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 1b09955
- perl req/prov fix
- release 4 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 1b15200
- rebuild with perl 5.26
- release 3 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> ec68ebd
- rebuild with perl 5.24.0
- release 2 (by relup.sh)

* Tue Dec 29 2015 Jan Rękorajski <baggins@pld-linux.org> c5575bc
- up to 0.6704

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> a49441d
- release 6 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 2cee5a4
- x32 rebuild
- release 5 (by relup.sh)

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> 8057f39
- release 4 (by relup.sh)

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> 119359e
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 8f5d0b3
- rebuild for perl 5.20
- release 3 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> dd64a77
- rebuild with perl 5.18.0
- release 2 (by relup.sh)

